Subject: Re: bug#58073: 29.0.50; Uninstalled emacs sends startup messages to stderr

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Oct 2022 20:26:12 +0300

> From: Jonas Bernoulli <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 03 Oct 2022 18:03:50 +0200
> 
>   cat
>   #!/bin/sh
>   unset EMACSLOADPATH
>   exec -a "emacs" "/home/jonas/src/emacs/emacs/src/emacs" "$@"
> 
> *appears* to work as intended (by me), but in actuality it uses the
> libraries from where the package is installed, *not* from the source
> repository.  I didn't inspect closely enough before to notice this.
> Also, the name of the wrapper script does not actually matter.  (Use
> of --dump-file doesn't help.)

Sorry, I don't understand: you installed Emacs _and_ invoke it from
the source tree?  Why would you do that?

> Of course that doesn't work if Emacs hasn't actually been installed.
> 
> For completeness sake I should mention that I have once more confirmed
> that using a symlink works (the libraries from the repo are used), but
> an alias does not work (the files from the installation are used).
> 
> > Please close, and sorry for the noise.
> 
> No need to reopen, as far as I am concerned, but I thought it was
> worth mentioning this here.

Now I'm confused: is the problem solved or isn't it?